﻿using Maticsoft.DBUtility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ZWGXPICK_SYS
{
    public partial class frmAndroidIP : Form
    {
        public frmAndroidIP()
        {
            InitializeComponent();
        }

        private void FrmAndroidIP_Load(object sender, EventArgs e)
        {
            IniFile ini = new IniFile(PubConstant.config_file);
            String ip = ini.ReadString("android", "ip", "127.0.0.1");
            String admin_port = ini.ReadString("android", "admin_port", "5000");
            String data_port  = ini.ReadString("android", "data_port", "5002");
            this.txtIpAddress.Text = ip;
            this.txtAdminPort.Text = admin_port;
            this.txtDataPort.Text = data_port;
            this.CenterToParent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            String ip = this.txtIpAddress.Text;
            string admin_port = this.txtAdminPort.Text;
            string data_port = this.txtDataPort.Text;
            int nAdminPort = 0; int.TryParse(admin_port, out nAdminPort);
            int nDataPort  = 0; int.TryParse(data_port,  out nDataPort);
            if ((String.IsNullOrEmpty(ip)) || (nAdminPort == 0) || (nDataPort == 0))
            {
                MessageBox.Show("对不起,IP地址或端口不正确,请输入正确的IP地址或端口!");
                return;
            }

            // try to initialize the content value item data.
            IniFile ini = new IniFile(PubConstant.config_file);
            ini.WriteString("android", "ip", ip);
            ini.WriteInteger("android", "admin_port", nAdminPort);
            ini.WriteInteger("android", "data_port", nDataPort);
            this.Close();
        }
    }
}
